> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List network ports

> List all network ports of the specified instance



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/ports
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/ports:
    get:
      tags:
        - Instances
      summary: List network ports
      description: List all network ports of the specified instance
      operationId: InstanceInstancePortsView.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: instance_id
          required: true
          description: Instance ID
          schema:
            type: string
      responses:
        '200':
          description: List of ports
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortSecurityGroupsListSchema'
components:
  schemas:
    PortSecurityGroupsListSchema:
      type: object
      properties:
        count:
          type: integer
          description: Number of objects
        results:
          type: array
          description: Objects
          items:
            $ref: '#/components/schemas/PortSecurityGroupsSchema'
      example:
        count: 1
        results:
          - id: ae74714c-c380-48b4-87f8-758d656cdad6
            name: name
            security_groups:
              - id: 4536dba1-93b1-492e-b3df-270b6b9f3650
                name: name1
              - id: cee2ca1f-507a-4a31-b714-f6c1ffb4bdfa
                name: name2
    PortSecurityGroupsSchema:
      type: object
      properties:
        id:
          type: string
          description: Port ID
        name:
          type: string
          description: Port name
        security_groups:
          type: array
          description: Security groups applied to port
          items:
            $ref: '#/components/schemas/IdNameSchema'
      description: Port object
      example:
        id: ae74714c-c380-48b4-87f8-758d656cdad6
        name: name
        security_groups:
          - id: 4536dba1-93b1-492e-b3df-270b6b9f3650
            name: name1
          - id: cee2ca1f-507a-4a31-b714-f6c1ffb4bdfa
            name: name2
    IdNameSchema:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          description: Name.
      required:
        - name
      description: IdName schema
      example:
        id: 2bf3a5d7-9072-40aa-8ac0-a64e39427a2c
        name: Test
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````